=== src/Makefile ===
all:
	cd .. ; make
