## tuxpaint 0.9.21

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 # Tux Paint - A simple drawing program for children.
 
-# Copyright (c) 2002-2008 by Bill Kendrick and others
+# Copyright (c) 2002-2009 by Bill Kendrick and others
 # bill@newbreedsoftware.com
 # http://www.tuxpaint.org/
 
-# June 14, 2002 - June 22, 2008
+# June 14, 2002 - April 28, 2009
 
 
 # The version number, for release:
 
-VER_VERSION:=0.9.20
+VER_VERSION:=0.9.21
 VER_DATE:=$(shell date +"%Y-%m-%d")
-MAGIC_API_VERSION:=0x00000001
+MAGIC_API_VERSION:=0x00000002
 
 # Need to know the OS
 
@@ -74,10 +74,13 @@
 PNG:=$(call linktest,-lpng,)
 PNG:=$(if $(PNG),$(PNG),$(call linktest,-lpng12,))
 
-windows_ARCH_LINKS:=-lintl $(PNG) -lwinspool -lshlwapi
-osx_ARCH_LINKS:=$(PAPER_LIB)
-beos_ARCH_LINKS:="-lintl $(PNG) -lz -lbe -liconv"
-linux_ARCH_LINKS:=$(PAPER_LIB)
+FRIBIDI_LIB:=$(shell pkg-config --libs fribidi)
+FRIBIDI_CFLAGS:=$(shell pkg-config --cflags fribidi)
+
+windows_ARCH_LINKS:=-lintl $(PNG) -lwinspool -lshlwapi $(FRIBIDI_LIB)
+osx_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB)
+beos_ARCH_LINKS:="-lintl $(PNG) -lz -lbe -liconv $(FRIBIDI_LIB)"
+linux_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB)
 ARCH_LINKS:=$($(OS)_ARCH_LINKS)
 
 windows_ARCH_HEADERS:=src/win32_print.h
@@ -413,9 +416,3 @@
 	@echo "For more information, see the 'tuxpaint' man page,"
 	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
 	@echo
-	@echo "Visit Tux Paint's home page for more information, updates"
-	@echo "and to learn how you can help out!"
-	@echo
-	@echo "  http://www.tuxpaint.org/"
-	@echo
-	@echo "Enjoy!"
