## tuxpaint 0.9.21-1maemo1

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo1) unstable; urgency=low

  * packaging to maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  15 Apr 2010 13:48:59 +0300

tuxpaint (1:0.9.15b-1maemo1) fremantle; urgency=low

  * porting to maemo fremantle

 -- Alessandro Pasotti <apasotti@gmail.com>  Thu,  3 Sep 2009 15:04:49 +0100

tuxpaint (1:0.9.15b-1ubuntu1) dapper; urgency=low

  * removed dependency on netpbm

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jan 2006 18:04:30 +0100

tuxpaint (1:0.9.15b-1) unstable; urgency=high

  * New upstream release.
  * Security: unsafe tuxpaint-import tmp file writing eliminated. (CVE-2005-3340)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 15 Dec 2005 10:10:11 -0400

tuxpaint (1:0.9.14.20051014-1) unstable; urgency=low

  * CVS snapshot, preparing for imminent 0.9.15 release.  (Closes: #279220)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 14 Oct 2005 20:53:25 -0300

tuxpaint (1:0.9.14-2) unstable; urgency=low

  * Disabled broken header check, since we know we have satisified
    all dependencies. (Closes: #300632)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 20 Mar 2005 19:06:40 -0400

tuxpaint (1:0.9.14-1) unstable; urgency=low

  * Fixed location of starters dir.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 12 Oct 2004 20:28:20 -0300

tuxpaint (1:0.9.14-0.2) unstable; urgency=low

  * Added working watch file.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 21:11:39 -0300

tuxpaint (1:0.9.14-0.1) unstable; urgency=low

  * Prerelease.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 09:36:46 -0300

tuxpaint (1:0.9.13.20041003-1) unstable; urgency=low

  * CVS snapshot.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  3 Oct 2004 22:06:13 -0300

tuxpaint (1:0.9.13.20040924-1) unstable; urgency=low

  * CVS snapshot.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 24 Sep 2004 21:40:33 -0300

tuxpaint (1:0.9.13-2) unstable; urgency=low

  * Replace outdated copy of default font with link to font
    from ttf-freefont.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 26 Dec 2003 20:13:53 -0400

tuxpaint (1:0.9.13-1) unstable; urgency=low

  * New upstream.
  * No longer install copies of FreeFont fonts in favour of depending
    on ttf-freefont.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 24 Dec 2003 12:07:50 -0400

tuxpaint (1:0.9.12.20031222-1) unstable; urgency=low

  * New upstream (0.9.13rc1).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 22 Dec 2003 06:59:58 -0400

tuxpaint (1:0.9.12.20031219-1) unstable; urgency=low

  * New upstream (cvs snapshot).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 19 Dec 2003 16:19:04 -0400

tuxpaint (1:0.9.12.20030906-1) unstable; urgency=low

  * New upstream (cvs snapshot).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  6 Sep 2003 11:26:39 -0300

tuxpaint (1:0.9.12-1) unstable; urgency=low

  * New upstream.
  * Removed experimental tuxpaint-lowband.
  * New version has some enhancements which make X over network usable.
    (Closes: #172129)
  * Make tuxpaint depend on recent tuxpaint-data.  (Closes: #188522)
  * Added updated README.txt (fixed in cvs, was missing new Malay 
    language support).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 21 Aug 2003 21:16:53 -0300

tuxpaint (1:0.9.11-1) unstable; urgency=low

  * New upstream.  (Closes: #197894)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 19 Jun 2003 21:17:14 -0300

tuxpaint (1:0.9.10-3) unstable; urgency=low

  * Added commented-out rules for tuxpaint-lowband with low bandwidth 
    code turned on.  Experimental only, so I have decided not to
    enable this without further iterations of testing and discussion
    with upstream.
  * Build-dep updated to fix libvorbis upgrade problem.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  7 Mar 2003 17:54:00 -0400

tuxpaint (1:0.9.10-2) unstable; urgency=low

  * Build against libsdl-ttf2.0.  (Closes: #153584)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Mar 2003 17:20:40 -0400

tuxpaint (1:0.9.10-1) unstable; urgency=low

  * The "Thanks for the non-latin font support, Bill" release.
  * Applied locale wav filename fix, fwded upstream and committed to 
    CVS.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 28 Feb 2003 14:05:01 -0400

tuxpaint (1:0.9.9-2) unstable; urgency=low

  * Whups, forgot the orig tarball rename.  (Closes: #180285)
  * KDE_PREFIX now hardwired.  (Closes: #182756)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 28 Feb 2003 10:31:02 -0400

tuxpaint (1:0.9.9-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  1 Feb 2003 15:22:29 -0400

tuxpaint (1:0.9.1-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 16 Nov 2002 18:54:35 -0400

tuxpaint (1:0.9.0-1) unstable; urgency=low

  * New upstream.
  * Version# scheme changed.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 12 Nov 2002 08:58:22 -0400

tuxpaint (2002.11.03-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 11 Nov 2002 22:52:04 -0400

tuxpaint (2002.10.06-2) unstable; urgency=low

  * Make sure the KDE icons install properly. (Closes: #164675)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 14 Oct 2002 09:53:48 -0300

tuxpaint (2002.10.06-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  8 Oct 2002 15:30:50 -0300

tuxpaint (2002.09.29-1) unstable; urgency=low

  * New upstream.
  * The tuxpaint-import script and man page are now installed.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  1 Oct 2002 13:03:32 -0300

tuxpaint (2002.09.25-1) unstable; urgency=low

  * New upstream.
  * Upstream has split tuxpaint into two tarballs, the main program,
    which I package here as tuxpaint and tuxpaint-data, and the

