=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

export DH_ALWAYS_EXCLUDE=CVS

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) clean
	$(MAKE) all PREFIX=/opt DEBUG_FLAGS="$(DEBUG_FLAGS)"

	touch build-arch-stamp


build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Nothing to do here.

	touch build-indep-stamp


build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint
	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/pixmaps
	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/applnk
	install -d ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
	install -d ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon

	# tuxpaint:
	$(MAKE) install-bin install-icon  \
	  install-default-config install-data install-gettext \
	  install-example-stamps install-example-starters \
	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
		DATA_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
	  CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/applnk/ \
	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/pixmaps/

	#Desktop file and icon 
	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	#dh_installdocs -i
	#dh_installchangelogs -i
	#dh_installmenu -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	#dh_installdocs -a
	#dh_installchangelogs -a docs/CHANGES.txt
	#dh_installmenu -a
	dh_installcron -a
	#dh_installman -a src/manpage/tuxpaint.1 src/manpage/tuxpaint-import.1
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
