## tuxpaint 0.9.21-1maemo3

=== Makefile ===
--- 
+++ 
@@ -93,7 +93,7 @@
 windows_PREFIX:=/usr/local
 osx_PREFIX:=/usr/local
 beos_PREFIX:=/boot/apps/Games/TuxPaint
-linux_PREFIX:=/usr/local
+linux_PREFIX:=/opt/tuxpaint
 PREFIX:=$($(OS)_PREFIX)
 
 
@@ -107,20 +107,20 @@
 endif
 
 # Program:
-BIN_PREFIX:=$(DESTDIR)$(PREFIX)/bin
+BIN_PREFIX:=$(DESTDIR)$(PREFIX)/
 
 # Data:
-DATA_PREFIX:=$(DESTDIR)$(PREFIX)/share/tuxpaint
+DATA_PREFIX:=$(DESTDIR)$(PREFIX)/
 
 # Locale files
-LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/share/locale
+LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/locale
 
 # IM files
-IM_PREFIX=$(DESTDIR)$(PREFIX)/share/tuxpaint/im
+IM_PREFIX=$(DESTDIR)$(PREFIX)/im
 
 # Magic Tool plug-ins
 INCLUDE_PREFIX:=$(DESTDIR)$(PREFIX)/include
-MAGIC_PREFIX:=$(DESTDIR)$(PREFIX)/lib/tuxpaint/plugins
+MAGIC_PREFIX:=$(DESTDIR)$(PREFIX)/plugins
 
 
 # Docs and man page:
@@ -131,15 +131,11 @@
 
 
 # 'System-wide' Config file:
-ifeq ($(PREFIX),/usr)
-  CONFDIR:=$(DESTDIR)/etc/tuxpaint
-else
-  CONFDIR:=$(DESTDIR)$(PREFIX)/etc/tuxpaint
-endif
+CONFDIR:=$(DESTDIR)$(PREFIX)/etc/
 
 # Icons and launchers:
-ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
-X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/X11R6/include/X11/pixmaps
+ICON_PREFIX:=$(DESTDIR)$(PREFIX)/pixmaps
+X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/pixmaps
 GNOME_PREFIX:=$(shell gnome-config --prefix 2> /dev/null)
 KDE_PREFIX:=$(shell kde-config --install apps --expandvars 2> /dev/null)
 KDE_ICON_PREFIX:=$(shell kde-config --install icon --expandvars 2> /dev/null)
@@ -212,12 +208,12 @@
 	$(shell src/test-option.sh -Wstrict-aliasing=2)
 
 DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
-	-DDATA_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DATA_PREFIX))/\" \
+	-DDATA_PREFIX=\"/opt/tuxpaint/\" \
 	-DDOC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DOC_PREFIX))/\" \
-	-DLOCALEDIR=\"$(patsubst $(DESTDIR)%,%,$(LOCALE_PREFIX))/\" \
-	-DIMDIR=\"$(patsubst $(DESTDIR)%,%,$(IM_PREFIX))/\" \
-	-DCONFDIR=\"$(patsubst $(DESTDIR)%,%,$(CONFDIR))/\" \
-	-DMAGIC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(MAGIC_PREFIX))/\" \
+	-DLOCALEDIR=\"/opt/tuxpaint\locale/\" \
+	-DIMDIR=\"/opt/tuxpaint/im/\" \
+	-DCONFDIR=\"/opt/tuxpaint/etc/\" \
+	-DMAGIC_PREFIX=\"/opt/tuxpaint/plugins/\" \
 	$(NOSOUNDFLAG) $(NOSVGFLAG) $(OLDSVGFLAG) $(NOPANGOFLAG) \
 	$(MAEMOFLAG)
 
@@ -393,17 +389,16 @@
 windows_ARCH_INSTALL:=
 osx_ARCH_INSTALL:=
 beos_ARCH_INSTALL:=
-linux_ARCH_INSTALL:=install-gnome install-kde install-kde-icons
+linux_ARCH_INSTALL:=
 ARCH_INSTALL:=$($(OS)_ARCH_INSTALL)
 
 # "make install" installs all of the various parts
 # (depending on the *PREFIX variables at the top, you probably need
 # to do this as superuser ("root"))
 .PHONY: install
-install:	install-bin install-data install-man install-doc \
+install:	install-bin install-data  \
 		install-magic-plugins \
-		install-magic-plugin-dev \
-		install-icon install-gettext install-im install-importscript \
+		install-icon install-gettext install-im  \
 		install-default-config install-example-stamps \
 		install-example-starters \
 		$(ARCH_INSTALL)
@@ -416,3 +411,17 @@
 	@echo "For more information, see the 'tuxpaint' man page,"
 	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)/README.txt"
 	@echo
+	@echo "Visit Tux Paint's home page for more information, updates"
+	@echo "and to learn how you can help out!"
+	@echo
+	@echo "  http://www.tuxpaint.org/"
+	@echo
+	@echo "Enjoy!"
+	@echo
+
+.PHONY: install-magic-plugins
+install-magic-plugins:
+	@echo
+	@echo "...Installing Magic Tool plug-ins..."
+	@install -d $(MAGIC_PREFIX)
+	@cp magic/*.$(SO_TYPE) $(MAGIC_PREFIX)
