=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo3) unstable; urgency=low

  * packaging for maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  16 Apr 2010 21:49:59 +0300
