## tuxpaint 0.9.21-1maemo4

=== Makefile ===
--- 
+++ 
@@ -210,9 +210,9 @@
 DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
 	-DDATA_PREFIX=\"/opt/tuxpaint/\" \
 	-DDOC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DOC_PREFIX))/\" \
-	-DLOCALEDIR=\"/opt/tuxpaint\locale/\" \
+	-DLOCALEDIR=\"/opt/tuxpaint\locale\" \
 	-DIMDIR=\"/opt/tuxpaint/im/\" \
-	-DCONFDIR=\"/opt/tuxpaint/etc/\" \
+	-DCONFDIR=\"/opt/tuxpaint/etc\" \
 	-DMAGIC_PREFIX=\"/opt/tuxpaint/plugins/\" \
 	$(NOSOUNDFLAG) $(NOSVGFLAG) $(OLDSVGFLAG) $(NOPANGOFLAG) \
 	$(MAEMOFLAG)
