=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo4) unstable; urgency=low

  * packaging for maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  17 Apr 2010 13:49:59 +0300
