=== debian/rules ===
--- 
+++ 
@@ -64,25 +64,18 @@
 	dh_installdirs -A
 
 	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint
-	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/pixmaps
-	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint/applnk
 	install -d ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
 	install -d ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon
 
 	# tuxpaint:
-	$(MAKE) install-bin install-icon  \
-	  install-default-config install-data install-gettext \
-	  install-example-stamps install-example-starters \
-	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
-		DATA_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
-	  CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
-	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/ \
-	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/applnk/ \
-	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint/pixmaps/
+	$(MAKE) install \
+	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint \
 
-	#Desktop file and icon 
-	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
+
+	#Desktop file and icon and startscript
+	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon/tuxpaint.desktop
 	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon
+	install ${CURDIR}/tuxpaint.sh ${CURDIR}/debian/tuxpaint/opt/tuxpaint
 
 # Build architecture-independent files here.
 binary-indep: build install
