## tuxpaint 0.9.21-1maemo5

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo5) unstable; urgency=low

  * packaging for maemo fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  17 Apr 2010 18:42:59 +0300
