=== debian/rules ===
--- 
+++ 
@@ -72,10 +72,10 @@
 	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint \
 
 
-	#Desktop file and icon and startscript
+	#Desktop file and icon
 	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon/tuxpaint.desktop
 	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon
-	install ${CURDIR}/tuxpaint.sh ${CURDIR}/debian/tuxpaint/opt/tuxpaint
+
 
 # Build architecture-independent files here.
 binary-indep: build install
